### R code from vignette source 'diversity-vegan.Rnw'
### Encoding: ASCII

###################################################
### code chunk number 1: diversity-vegan.Rnw:42-47
###################################################
par(mfrow=c(1,1))
options(width=72)
figset <- function() par(mar=c(4,4,1,1)+.1)
options(SweaveHooks = list(fig = figset))
options("prompt" = "R> ", "continue" = "+  ")


###################################################
### code chunk number 2: diversity-vegan.Rnw:68-70
###################################################
library(vegan)
data(BCI)


###################################################
### code chunk number 3: diversity-vegan.Rnw:88-89
###################################################
H <- diversity(BCI)


###################################################
### code chunk number 4: diversity-vegan.Rnw:96-97
###################################################
J <- H/log(specnumber(BCI))


###################################################
### code chunk number 5: diversity-vegan.Rnw:123-125
###################################################
k <- sample(nrow(BCI), 6)
R <- renyi(BCI[k,])


###################################################
### code chunk number 6: diversity-vegan.Rnw:131-132
###################################################
require(lattice, quietly=TRUE)


###################################################
### code chunk number 7: diversity-vegan.Rnw:135-136
###################################################
print(plot(R))


###################################################
### code chunk number 8: diversity-vegan.Rnw:147-148
###################################################
alpha <- fisher.alpha(BCI)


###################################################
### code chunk number 9: diversity-vegan.Rnw:184-185
###################################################
quantile(rowSums(BCI))


###################################################
### code chunk number 10: diversity-vegan.Rnw:188-189
###################################################
Srar <- rarefy(BCI, min(rowSums(BCI)))


###################################################
### code chunk number 11: diversity-vegan.Rnw:197-198
###################################################
S2 <- rarefy(BCI, 2)


###################################################
### code chunk number 12: diversity-vegan.Rnw:202-203
###################################################
all(rank(Srar) == rank(S2))


###################################################
### code chunk number 13: diversity-vegan.Rnw:208-209
###################################################
range(diversity(BCI, "simp") - (S2 -1))


###################################################
### code chunk number 14: diversity-vegan.Rnw:271-275
###################################################
data(dune)
data(dune.taxon)
taxdis <- taxa2dist(dune.taxon, varstep=TRUE)
mod <- taxondive(dune, taxdis)


###################################################
### code chunk number 15: diversity-vegan.Rnw:278-279
###################################################
plot(mod)


###################################################
### code chunk number 16: diversity-vegan.Rnw:304-306
###################################################
tr <- hclust(taxdis, "aver")
mod <- treedive(dune, tr)


###################################################
### code chunk number 17: diversity-vegan.Rnw:328-331
###################################################
k <- sample(nrow(BCI), 1)
fish <- fisherfit(BCI[k,])
fish


###################################################
### code chunk number 18: diversity-vegan.Rnw:334-335
###################################################
plot(fish)


###################################################
### code chunk number 19: diversity-vegan.Rnw:350-351
###################################################
confint(fish)


###################################################
### code chunk number 20: diversity-vegan.Rnw:375-376
###################################################
prestondistr(BCI[k,])


###################################################
### code chunk number 21: diversity-vegan.Rnw:407-409
###################################################
rad <- radfit(BCI[k,])
rad


###################################################
### code chunk number 22: diversity-vegan.Rnw:412-413
###################################################
print(radlattice(rad))


###################################################
### code chunk number 23: a
###################################################
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")


###################################################
### code chunk number 24: diversity-vegan.Rnw:481-482
###################################################
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")


###################################################
### code chunk number 25: diversity-vegan.Rnw:510-511
###################################################
ncol(BCI)/mean(specnumber(BCI)) - 1


###################################################
### code chunk number 26: diversity-vegan.Rnw:528-530
###################################################
beta <- vegdist(BCI, binary=TRUE)
mean(beta)


###################################################
### code chunk number 27: diversity-vegan.Rnw:537-538
###################################################
betadiver(help=TRUE)


###################################################
### code chunk number 28: diversity-vegan.Rnw:556-558
###################################################
z <- betadiver(BCI, "z")
quantile(z)


###################################################
### code chunk number 29: diversity-vegan.Rnw:568-573
###################################################
data(dune)
data(dune.env)
z <- betadiver(dune, "z")
mod <- with(dune.env, betadisper(z, Management))
mod


###################################################
### code chunk number 30: diversity-vegan.Rnw:576-577
###################################################
boxplot(mod)


###################################################
### code chunk number 31: diversity-vegan.Rnw:637-638
###################################################
specpool(BCI)


###################################################
### code chunk number 32: diversity-vegan.Rnw:643-645
###################################################
s <- sample(nrow(BCI), 25)
specpool(BCI[s,])


###################################################
### code chunk number 33: diversity-vegan.Rnw:656-657
###################################################
estimateR(BCI[k,])


###################################################
### code chunk number 34: diversity-vegan.Rnw:693-695
###################################################
veiledspec(prestondistr(BCI[k,]))
veiledspec(BCI[k,])


###################################################
### code chunk number 35: diversity-vegan.Rnw:708-709
###################################################
smo <- beals(BCI)


###################################################
### code chunk number 36: a
###################################################
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(beals(BCI, species=j, include=FALSE), BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence", ylab="Occurrence")


###################################################
### code chunk number 37: diversity-vegan.Rnw:720-721
###################################################
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(beals(BCI, species=j, include=FALSE), BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence", ylab="Occurrence")


